<template>
  <div ref="ggbContainer" class="ggb-container"></div>
</template>

<script lang="ts">

export default {
  mounted() {
  if (!window.GGBApplet) {
      const script = document.createElement("script");
      script.src = "https://www.geogebra.org/apps/deployggb.js";
      script.onload = () => {
        this.initGeoGebra();
      };
      document.body.appendChild(script);
    } else {
      this.initGeoGebra();
    }
  },
  methods:{
    initGeoGebra() {
        var params = {
          id: "ggbApplet",
          appName: "scientific",
          width: 600,
          height: 600,
          showToolBar: true,
          borderColor: null,
          showMenuBar: true,
          allowStyleBar: true,
          showAlgebraInput: true,
          enableLabelDrags: false,
          enableShiftDragZoom: true,
          capturingThreshold: null,
          showToolBarHelp: false,
          errorDialogsActive: true,
          showTutorialLink: true,
          showLogging: true,
          useBrowserForJS: false,
        };

        if (this.$refs.ggbContainer) {
          const applet = new GGBApplet(params, true);
          applet.inject(this.$refs.ggbContainer);
        }
      }
  }
}

</script>

<style scoped>
.ggb-container {
  width: 100%;
  height: 100%;
  /* 其他样式 */
}
</style>
